Package com.collibra.catalog.api.component.classification.dto

# Class FindClassificationsRequest

Object
PagedRequest
FindClassificationsRequest

All Implemented Interfaces:
  `Serializable`

public class FindClassificationsRequest extends PagedRequest
Search criteria for finding classifications.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindClassificationsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindClassificationsRequest()`
  `FindClassificationsRequest(String name)`
  Creates a new `FindClassificationsRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindClassificationsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  The exact name of classification to filter by the search results.
  `int`
  `hashCode()`
  `void`
  `setName(String name)`
  The exact name of classification to filter by the search results.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindClassificationsRequest

    public FindClassificationsRequest(String name)
    Creates a new `FindClassificationsRequest` instance.
    Parameters:
      `name` - The exact name of classification to filter by the search results.

  - ### FindClassificationsRequest

    public FindClassificationsRequest()

- ## Method Details

  - ### builder

    public static FindClassificationsRequest.Builder builder()

  - ### getName

    public String getName()
    The exact name of classification to filter by the search results.

  - ### setName

    public void setName(String name)
    The exact name of classification to filter by the search results.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`